Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.client
Class FaultDetectionHandlerFactory

    java.lang.Object
      org.jini.rio.resources.client.FaultDetectionHandlerFactory

    public class FaultDetectionHandlerFactory

extends Object

The FaultDetectionHandlerFactory class provides static methods to create FaultDetectionHandler instances

Constructor Summary
`FaultDetectionHandlerFactory()`

Method Summary
`static ClassBundle` | `getClassBundle(String fdhClassName, String configuration)` Get the ClassBundle for a FaultDetectionHandler declaration
`static ClassBundle` | `getClassBundle(String fdhClassName, String[] configArgs)` Get the ClassBundle for a FaultDetectionHandler declaration
`static FaultDetectionHandler<ServiceID>` | `getFaultDetectionHandler(AssociationDescriptor aDesc, ClassLoader cl)` Get a FaultDetectionHandler from the AssociationDescriptor
`static FaultDetectionHandler<ServiceID>` | `getFaultDetectionHandler(ClassBundle fdhBundle, ClassLoader cl)` Load the FaultDetectionHandler from a ClassBundle
`static FaultDetectionHandler<ServiceID>` | `getFaultDetectionHandler(ServiceElement sElem, ClassLoader cl)` Get a FaultDetectionHandler from the ServiceElement

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultDetectionHandlerFactory

    public FaultDetectionHandlerFactory()

Method Detail

### getFaultDetectionHandler

    public static FaultDetectionHandler<ServiceID> getFaultDetectionHandler(ServiceElement sElem,
                                                                            ClassLoader cl)
                                                                     throws Exception

  Get a FaultDetectionHandler from the ServiceElement

  Parameters:
    `sElem` - The ServiceElement
    `cl` - The delegation ClassLoader used to load the FaultDetectionHandler, or the current thread's context class loader if cl is null.
  Returns:
    A FaultDetectionHandler created and initialized. A new FaultDetectionHandler will be created each time. If there are problems creating the FaultDetectionHandler a null will be returned
  Throws:
    `Exception` - If there are errors creating the FaultDetectionHandler

### getFaultDetectionHandler

    public static FaultDetectionHandler<ServiceID> getFaultDetectionHandler(AssociationDescriptor aDesc,
                                                                            ClassLoader cl)
                                                                     throws Exception

  Get a FaultDetectionHandler from the AssociationDescriptor

  Parameters:
    `aDesc` - The AssociationDescriptor
    `cl` - The delegation ClassLoader used to load the FaultDetectionHandler, or the current thread's context class loader if cl is null.
  Returns:
    A FaultDetectionHandler created and initialized. A new FaultDetectionHandler will be created each time. If there are problems creating the FaultDetectionHandler a null will be returned
  Throws:
    `Exception` - If there are errors creating the FaultDetectionHandler

### getFaultDetectionHandler

    public static FaultDetectionHandler<ServiceID> getFaultDetectionHandler(ClassBundle fdhBundle,
                                                                            ClassLoader cl)
                                                                     throws Exception

  Load the FaultDetectionHandler from a ClassBundle

  Parameters:
    `fdhBundle` - The ClassBundle
    `cl` - The delegation ClassLoader used to load the FaultDetectionHandler, or the current thread's context class loader if cl is null.
  Returns:
    A FaultDetectionHandler created and initialized. A new FaultDetectionHandler will be created each time. If the fdhBundle is null, an `AdminFaultDetectionHandler` will be created. If there are problems creating the FaultDetectionHandler a null will be returned
  Throws:
    `Exception` - If there are errors creating the FaultDetectionHandler

### getClassBundle

    public static ClassBundle getClassBundle(String fdhClassName,
                                             String configuration)

  Get the ClassBundle for a FaultDetectionHandler declaration

  Parameters:
    `fdhClassName` - The class name of the FaultDetectionHandler
    `configuration` - Configuration arguments
  Returns:
    A ClassBundle created based on the input arguments

### getClassBundle

    public static ClassBundle getClassBundle(String fdhClassName,
                                             String[] configArgs)

  Get the ClassBundle for a FaultDetectionHandler declaration

  Parameters:
    `fdhClassName` - The class name of the FaultDetectionHandler
    `configArgs` - Configuration arguments
  Returns:
    A ClassBundle created based on the input arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.